Subject: Is pg_regress --use-existing used by anyone or is it broken?

From: Daniel Gustafsson <[email-masked]>
Date: Mon, 28 Aug 2023 15:11:15 +0200

When looking at pg_regress I noticed that the --use-existing support didn't
seem to work.  ISTM that the removal/creation of test databases and roles
doesn't run since the conditional is reversed.  There is also no support for
using a non-default socket directory with PG_REGRESS_SOCK_DIR.  The attached
hack fixes these and allows the tests to execute for me, but even with that the
test_setup suite fails due to the tablespace not being dropped and recreated
like databases and roles.

Is it me who is too thick to get it working, or is it indeed broken?  If it's
the latter, it's been like that for a long time which seems to indicate that it
isn't really used and should probably be removed rather than fixed?

Does anyone here use it?

--
Daniel Gustafsson